Package ru.bitel.bgbilling.kernel.event.events

# Class GetChangeTariffDatesEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.GetChangeTariffDatesEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class GetChangeTariffDatesEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - запрос дат с которых разрешена смена тарифа через Web-статистику.
Получение списка дат, с которых можно сменить тарифный план через Web.
Список дат, переданных у событии более приоритетен чем построенный по правилам группы тарифов.
Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GetChangeTariffDatesEvent()`
  ``
  `GetChangeTariffDatesEvent(int userId, int contractId, TariffGroup tariffGroup, Date date, int fromTariffId, int toTariffId)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDate()`
  Возвращает текущую дату.
  `List<Date>`
  `getDateList()`
  Получение списка дат (вызывается биллингом после обработки события).
  `int`
  `getFromTariffId()`
  Возвращает id тарифа с которого переключается ползователь.
  `TariffGroup`
  `getTariffGroup()`
  Возвращает группу тарифов.
  `int`
  `getToTariffId()`
  Возвращает id тарифа на который переключается пользователь.
  `void`
  `setDateList(List<Date> dateList)`
  Установка списка дат, с которых можно сменять тариф.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetChangeTariffDatesEvent

    protected GetChangeTariffDatesEvent()

  - ### GetChangeTariffDatesEvent

    public GetChangeTariffDatesEvent(int userId, int contractId, TariffGroup tariffGroup, Date date, int fromTariffId, int toTariffId)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `contractId` - - id договора
      `tariffGroup` - - группа тарифов
      `date` - - текущая дата
      `fromTariffId` - - id тарифа с которого переключается ползователь
      `toTariffId` - - id тарифа на который переключается пользователь

- ## Method Details

  - ### getDateList

    public List<Date> getDateList()
    Получение списка дат (вызывается биллингом после обработки события).
    Returns:
      dateList - список дат

  - ### setDateList

    public void setDateList(List<Date> dateList)
    Установка списка дат, с которых можно сменять тариф.
    Parameters:
      `dateList` - - список дат

  - ### getDate

    public Date getDate()
    Возвращает текущую дату.
    Returns:
      date - текущая дата

  - ### getTariffGroup

    public TariffGroup getTariffGroup()
    Возвращает группу тарифов.
    Returns:
      tariffGroup - группа тарифов

  - ### getToTariffId

    public int getToTariffId()
    Возвращает id тарифа на который переключается пользователь.
    Returns:
      toTariffId - id тарифа

  - ### getFromTariffId

    public int getFromTariffId()
    Возвращает id тарифа с которого переключается ползователь.
    Returns:
      fromTariffId - id тарифа